wxWidgets: wxFileTypeInfo Class Reference

| Version: 3.0.4

Public Member Functions | List of all members
wxFileTypeInfo Class Reference

`#include </usr/src/ports/wxWidgets3.0/wxWidgets3.0-3.0.4-1.i686/src/wxWidgets-3.0.4/interface/wx/mimetype.h>`

## Detailed Description

Container of information about wxFileType.

This class simply stores information associated with the file type. It doesn't do anything on its own and is used only to allow constructing wxFileType from it (instead of specifying all the constituent pieces separately) and also with wxMimeTypesManager::AddFallbacks().

## Public Member Functions
| wxFileTypeInfo ()
| Default constructor creates an invalid file type info object. More...
| wxFileTypeInfo (const wxString &mimeType)
| Constructor specifying just the MIME type name. More...
| wxFileTypeInfo (const wxString &mimeType, const wxString &openCmd, const wxString &printCmd, const wxString &description, const wxString &extension,...)
| Constructor allowing to specify all the fields at once. More...
| wxFileTypeInfo (const wxArrayString &sArray)
| Constuctor using an array of string elements corresponding to the parameters of the ctor above in the same order. More...
void | AddExtension (const wxString &ext)
| Add another extension associated with this file type. More...
void | SetDescription (const wxString &description)
| Set the file type description. More...
void | SetOpenCommand (const wxString &command)
| Set the command to be used for opening files of this type. More...
void | SetPrintCommand (const wxString &command)
| Set the command to be used for printing files of this type. More...
void | SetShortDesc (const wxString &shortDesc)
| Set the short description for the files of this type. More...
void | SetIcon (const wxString &iconFile, int iconIndex=0)
| Set the icon information. More...
const wxString & | GetMimeType () const
| Get the MIME type. More...
const wxString & | GetOpenCommand () const
| Get the open command. More...
const wxString & | GetPrintCommand () const
| Get the print command. More...
const wxString & | GetShortDesc () const
| Get the short description (only used under Win32 so far) More...
const wxString & | GetDescription () const
| Get the long, user visible description. More...
const wxArrayString & | GetExtensions () const
| Get the array of all extensions. More...
size_t | GetExtensionsCount () const
| Get the number of extensions. More...
const wxString & | GetIconFile () const
| Get the icon filename. More...
int | GetIconIndex () const
| Get the index of the icon within the icon file. More...

## Constructor & Destructor Documentation

## ◆ wxFileTypeInfo() [1/4]

wxFileTypeInfo::wxFileTypeInfo | ( |  | ) |

Default constructor creates an invalid file type info object.

Such invalid/empty object should be used to terminate the list of file types passed to wxMimeTypesManager::AddFallbacks().

## ◆ wxFileTypeInfo() [2/4]

wxFileTypeInfo::wxFileTypeInfo | ( | const wxString & | mimeType | ) |

Constructor specifying just the MIME type name.

Use the various setter methods below to fully initialize the object.

Since
  2.9.2

## ◆ wxFileTypeInfo() [3/4]

wxFileTypeInfo::wxFileTypeInfo | ( | const wxString & | mimeType,
|  | const wxString & | openCmd,
|  | const wxString & | printCmd,
|  | const wxString & | description,
|  | const wxString & | extension,
|  |  | ...
| ) |  |

Constructor allowing to specify all the fields at once.

This is a vararg constructor taking an arbitrary number of extensions after the first four required parameters. The list must be terminated by `wxNullPtr`, notice that `NULL` can't be used here in portable code (C++0x `nullptr` can be used as well if your compiler supports it).

## ◆ wxFileTypeInfo() [4/4]

wxFileTypeInfo::wxFileTypeInfo | ( | const wxArrayString & | sArray | ) |

Constuctor using an array of string elements corresponding to the parameters of the ctor above in the same order.

## Member Function Documentation

## ◆ AddExtension()

void wxFileTypeInfo::AddExtension | ( | const wxString & | ext | ) |

Add another extension associated with this file type.

Since
  2.9.2

## ◆ GetDescription()

const wxString& wxFileTypeInfo::GetDescription | ( |  | ) | const

Get the long, user visible description.

## ◆ GetExtensions()

const wxArrayString& wxFileTypeInfo::GetExtensions | ( |  | ) | const

Get the array of all extensions.

## ◆ GetExtensionsCount()

size_t wxFileTypeInfo::GetExtensionsCount | ( |  | ) | const

Get the number of extensions.

## ◆ GetIconFile()

const wxString& wxFileTypeInfo::GetIconFile | ( |  | ) | const

Get the icon filename.

## ◆ GetIconIndex()

int wxFileTypeInfo::GetIconIndex | ( |  | ) | const

Get the index of the icon within the icon file.

## ◆ GetMimeType()

const wxString& wxFileTypeInfo::GetMimeType | ( |  | ) | const

Get the MIME type.

## ◆ GetOpenCommand()

const wxString& wxFileTypeInfo::GetOpenCommand | ( |  | ) | const

Get the open command.

## ◆ GetPrintCommand()

const wxString& wxFileTypeInfo::GetPrintCommand | ( |  | ) | const

Get the print command.

## ◆ GetShortDesc()

const wxString& wxFileTypeInfo::GetShortDesc | ( |  | ) | const

Get the short description (only used under Win32 so far)

## ◆ SetDescription()

void wxFileTypeInfo::SetDescription | ( | const wxString & | description | ) |

Set the file type description.

Since
  2.9.2

## ◆ SetIcon()

void wxFileTypeInfo::SetIcon | ( | const wxString & | iconFile,
|  | int | iconIndex = `0`
| ) |  |

Set the icon information.

## ◆ SetOpenCommand()

void wxFileTypeInfo::SetOpenCommand | ( | const wxString & | command | ) |

Set the command to be used for opening files of this type.

Since
  2.9.2

## ◆ SetPrintCommand()

void wxFileTypeInfo::SetPrintCommand | ( | const wxString & | command | ) |

Set the command to be used for printing files of this type.

Since
  2.9.2

## ◆ SetShortDesc()

void wxFileTypeInfo::SetShortDesc | ( | const wxString & | shortDesc | ) |

Set the short description for the files of this type.

This is only used under MSW for some of the registry keys used for the file type registration.